<?php

namespace EventPortal\Http\Controllers\Delegate;

use EventPortal\Domain\Event\ValueObjects\PageHeader;
use EventPortal\Domain\Util\DelegateRender;
use EventPortal\Http\Controllers\Controller;
use Inertia\Response;

class FaqController extends Controller
{
    public function __invoke(): Response
    {
        return DelegateRender::component('Delegate/Faq/Index')
            ->withPageHeader(
                PageHeader::make()
                    ->title('FAQs')
                    /** phpcs:disable */
                    ->description('The answers to the frequently asked questions will assist you in planning your attendance.')
                /** phpcs:enable */
            )->get();
    }
}
